<?php
/**
 * DT Resource Include Master public class.
 *
 * @since  1.0.0
 * @package dt_resource_include_master
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( ! class_exists( 'DT_Res_Inc_Master_Public' ) ) :

	class DT_Res_Inc_Master_Public {
		protected $admin;

		public function __construct( DT_Res_Inc_Master_Admin $admin ) {
			$this->admin = $admin;
		}

		public function print_header_code_action() {
			$code = $this->admin->get_option( 'header_code' );
			echo do_shortcode($code);	
		}

		public function print_after_body_code_action() {
			$code = $this->admin->get_option( 'after_body_code' );
			echo do_shortcode($code);
		}

		public function print_presscore_before_content_action(){
			$code = $this->admin->get_option( 'before_content_code' );
			echo do_shortcode($code);
		}

		public function print_presscore_after_content_action(){
			$code = $this->admin->get_option( 'after_content_code' );
			echo do_shortcode($code);
		}

		public function print_footer_code_action() {
			$code = $this->admin->get_option( 'footer_code' );
			echo do_shortcode($code);			
		}
	}

endif;
